import { Injectable } from '@angular/core';
import { Recipe } from '../models/recipe';

@Injectable({
  providedIn: 'root',
})
export class RecipeService {
  private localStorageKey = 'recipes';

  getRecipes(): Recipe[] {
    const recipesJson = localStorage.getItem(this.localStorageKey);
    return recipesJson ? JSON.parse(recipesJson) : [];
  }

  addRecipe(recipe: Recipe): void {
    const recipes = this.getRecipes();
    recipes.push(recipe);
    localStorage.setItem(this.localStorageKey, JSON.stringify(recipes));
  }
}
